## helma.scripting.rhino.extensions
Class XmlRpcObject

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          org.mozilla.javascript.IdScriptableObject
              org.mozilla.javascript.BaseFunction
                  helma.scripting.rhino.extensions.XmlRpcObject

All Implemented Interfaces:
  java.io.Serializable, org.mozilla.javascript.Callable, org.mozilla.javascript.ConstProperties, org.mozilla.javascript.debug.DebuggableObject, org.mozilla.javascript.Function, org.mozilla.javascript.IdFunctionCall, org.mozilla.javascript.Scriptable

    public class XmlRpcObject

extends org.mozilla.javascript.BaseFunction

An extension to transparently call and serve XML-RPC from Rhino. The extension adds constructors for XML-RPC clients and servers to the Global Object. All argument conversion is done automatically. Currently the following argument and return types are supported:

- plain objects (with all properties returned by ESObject.getProperties ())
- arrays
- strings
- date objects
- booleans
- integer and float numbers (long values are not supported!)

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mozilla.javascript.ScriptableObject
`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Method Summary
`java.lang.Object` `call(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope, org.mozilla.javascript.Scriptable thisObj, java.lang.Object[] args)`
`java.lang.Object` `get(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`java.lang.String` `getClassName()`
`java.lang.Object` `getDefaultValue(java.lang.Class hint)`
`static void` `init(org.mozilla.javascript.Scriptable scope)` Called by the evaluator after the extension is loaded.
`java.lang.String` `toString()`
`static java.lang.Object` `xmlrpcObjectConstructor(org.mozilla.javascript.Context cx, java.lang.Object[] args, org.mozilla.javascript.Function ctorObj, boolean inNewExpr)` This method is used as HopObject constructor from JavaScript.

Methods inherited from class org.mozilla.javascript.BaseFunction
`construct, createObject, execIdCall, fillConstructorProperties, findInstanceIdInfo, findPrototypeId, getArity, getClassPrototype, getFunctionName, getInstanceIdName, getInstanceIdValue, getLength, getMaxInstanceId, hasInstance, initPrototypeId, setImmunePrototypeProperty, setInstanceIdValue`

Methods inherited from class org.mozilla.javascript.IdScriptableObject
`activatePrototypeMap, addIdFunctionProperty, defaultGet, defaultPut, delete, exportAsJSClass, getAttributes, has, hasPrototypeMap, incompatibleCallError, initPrototypeConstructor, initPrototypeMethod, initPrototypeValue, instanceIdInfo, put, setAttributes`

Methods inherited from class org.mozilla.javascript.ScriptableObject

`associateValue, avoidObjectDetection, callMethod, callMethod, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, deleteProperty, deleteProperty, equivalentValues, get, getAllIds, getAssociatedValue, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, has, hasProperty, hasProperty, isConst, isSealed, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sealObject, setAttributes, setAttributes, setAttributes, setGetterOrSetter, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mozilla.javascript.Scriptable
`delete, delete, get, getIds, getParentScope, getPrototype, has, has, put, put, setParentScope, setPrototype`

Method Detail

### xmlrpcObjectConstructor

    public static java.lang.Object xmlrpcObjectConstructor(org.mozilla.javascript.Context cx,
                                                           java.lang.Object[] args,
                                                           org.mozilla.javascript.Function ctorObj,
                                                           boolean inNewExpr)

  This method is used as HopObject constructor from JavaScript.

### init

    public static void init(org.mozilla.javascript.Scriptable scope)

  Called by the evaluator after the extension is loaded.

### get

    public java.lang.Object get(java.lang.String name,
                                org.mozilla.javascript.Scriptable start)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `get` in class `org.mozilla.javascript.IdScriptableObject`

### call

    public java.lang.Object call(org.mozilla.javascript.Context cx,
                                 org.mozilla.javascript.Scriptable scope,
                                 org.mozilla.javascript.Scriptable thisObj,
                                 java.lang.Object[] args)
                          throws org.mozilla.javascript.EvaluatorException

  Specified by:
    `call` in interface `org.mozilla.javascript.Callable`
  Specified by:
    `call` in interface `org.mozilla.javascript.Function`
  Overrides:
    `call` in class `org.mozilla.javascript.BaseFunction`
  Throws:
    `org.mozilla.javascript.EvaluatorException`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `getClassName` in class `org.mozilla.javascript.BaseFunction`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDefaultValue

    public java.lang.Object getDefaultValue(java.lang.Class hint)

  Specified by:
    `getDefaultValue` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `getDefaultValue` in class `org.mozilla.javascript.ScriptableObject`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.